summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-07-09 06:46:28 +0200
committerHans de Graaff <graaff@gentoo.org>2019-07-09 06:46:28 +0200
commitbc69c4072dd00c36aad5998a49bf84fc5127c3b2 (patch)
tree0a3ebb2f56f1a93a44671a2519ed462612ff5642
parentdev-ruby/autoprefixer-rails: add 9.6.1 (diff)
downloadgentoo-bc69c4072dd00c36aad5998a49bf84fc5127c3b2.tar.gz
gentoo-bc69c4072dd00c36aad5998a49bf84fc5127c3b2.tar.bz2
gentoo-bc69c4072dd00c36aad5998a49bf84fc5127c3b2.zip
dev-ruby/mini_mime: add 1.0.2
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.11
-rw-r--r--dev-ruby/mini_mime/Manifest1
-rw-r--r--dev-ruby/mini_mime/mini_mime-1.0.2.ebuild31
2 files changed, 32 insertions, 0 deletions
diff --git a/dev-ruby/mini_mime/Manifest b/dev-ruby/mini_mime/Manifest
index cbc7ca70649..b3b7a8f4884 100644
--- a/dev-ruby/mini_mime/Manifest
+++ b/dev-ruby/mini_mime/Manifest
@@ -1,2 +1,3 @@
DIST mini_mime-1.0.0.tar.gz 31205 BLAKE2B c82b806dec4b726d997ebd916e41d8873919a2c53ef1a6b8b02a94ef174837079552058084999e870944885118ee37127c29aa46c602bdd58fdc85bf473fd0cf SHA512 dbb976fa23679a42a2e28b06eb33f61ec991e7115e9bbadca7d09cb4b247a2345b14a2cb4fd4897aab5ffb40c710e931302d07ea3dff4ee64e935a70c9e88fff
DIST mini_mime-1.0.1.tar.gz 31329 BLAKE2B 970927c8bb2d00f2e0b71cbca9aa954f732eb9d46d2e9b35a6b042ade88aaea993b40023a189b4ce1515b2b476d123945b4ec2d3fef05d4444f3e1a0f492df65 SHA512 2002ed95fe49bf71a95987f35e25e9086a5365e6eff9f7cf8a33a742cbbbd31e5020fbcd0d35b31e7dc61c0e82390a03e5241f4e5a88e9f7d7a2d3020c0ea9ee
+DIST mini_mime-1.0.2.tar.gz 31971 BLAKE2B b2783f9376d5299ba77d1cab0326f706cc671a96aac58e8c65879f9180cf3f1f359eba1b8ed4028c775728d4d633d6e8cce06acee90cfe9b60cde2e53f9a2360 SHA512 644eefdc9277642b8b94ce8071826ec993f7da1a5bc8903bd17ece05a374f286014d05b5765ec5a5f7f0fa9252b56d3bdd03109a3702075f6e8ccb68a4cef98d
diff --git a/dev-ruby/mini_mime/mini_mime-1.0.2.ebuild b/dev-ruby/mini_mime/mini_mime-1.0.2.ebuild
new file mode 100644
index 00000000000..91407328ec4
--- /dev/null
+++ b/dev-ruby/mini_mime/mini_mime-1.0.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="mini_mime.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A lightweight mime type lookup toy"
+HOMEPAGE="https://github.com/discourse/mini_mime"
+SRC_URI="https://github.com/discourse/mini_mime/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+
+all_ruby_prepare() {
+ sed -i -e 's/git ls-files -z/find . -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid comparison with MIME::Types because types may vary over time
+ # as they get reclassified leading to random harmless failures.
+ sed -i -e '/test_full_parity_with_mime_types/askip "gentoo"' test/mini_mime_test.rb || die
+}